{
	"adapter": {
		"id": "rabbitmq.amqp.adapter.1",
		"name":  "rabbitmqAmqpAdapter",
		"description": "Messaging with AMQP protocol using Apache QPid Client.",
		"fields": [
			{
				"name": "destinationType",
				"type": "String",
				"default": "queue",
				"property": false,
				"option": false
			},
			{
				"name": "destinationName",
				"type": "String",
				"property": false,
				"option": false
			},

			{
				"name": "clientId",
				"property": true,
				"option": true
			},
			{
				"name": "acknowledgementModeName",
				"default": "AUTO_ACKNOWLEDGE",
				"property": true,
				"option": true
			},
			{
				"name": "exchangePattern",
				"type": "ExchangePattern",
				"option": true
			},
			{
				"name": "password",
				"property": true,
				"option": true
			},
			{
				"name": "url",
				"property": true,
				"option": true
			},
			{
				"name": "username",
				"property": true,
				"option": true
			}
		],
		"generators":[
			{
				"type": "pathParameter",
				"generator": "",
				"config": {
					"expression": "${destinationType}:${destinationName}"
				}
			},
			{
				"type": "init",
				"generator": ""
			},
			{
				"type": "ref",
				"generator": ""
			},
			{
				"type": "from",
				"generator": ""
			},
			{
				"type": "to",
				"generator": ""
			}
		]
	}
}
